%define module argparse-manpage

%bcond_without check

Name:           python-argparse-manpage
Version:        4.5
Release:        %mkrel 2
Summary:        Build manual page from Python ArgumentParser object
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/praiskup/argparse-manpage
Source0:        %pypi_source %{module}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-setuptools
BuildRequires:  python3-packaging
BuildRequires:  python3-tomli
%if %{with check}
BuildRequires:  python3-pytest
%endif

%description
Generate manual page an automatic way from ArgumentParser object, so the
manpage 1:1 corresponds to the automatically generated --help output. The
manpage generator needs to known the location of the object, user can
specify that by (a) the module name or corresponding python filename and
(b) the object name or the function name which returns the object.
There is a limited support for (deprecated) optparse objects, too.


%package -n     python3-%{module}
Summary:        Build manual page from Python 3 ArgumentParser object
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
Provides:       argparse-manpage = %{version}-%{release}

%description -n python3-%{module}
Generate manual page an automatic way from ArgumentParser object, so the
manpage 1:1 corresponds to the automatically generated --help output. The
manpage generator needs to known the location of the object, user can
specify that by (a) the module name or corresponding python filename and
(b) the object name or the function name which returns the object.
There is a limited support for (deprecated) optparse objects, too.


%pyproject_extras_subpkg -n python3-%{module} setuptools

%prep
%autosetup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files argparse_manpage build_manpages

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%{_bindir}/argparse-manpage
%{_mandir}/man1/argparse-manpage.1.*


%changelog
* Wed Dec 27 2023 papoteur <papoteur> 4.5-2.mga10
+ Revision: 2022560
- rebuild for python 3.12

* Wed Nov 29 2023 daviddavid <daviddavid> 4.5-1.mga10
+ Revision: 2011162
- initial package python-argparse-manpage

